Package com.independentsoft.office.drawing.extensions

# Class PivotOptions16

java.lang.Object
com.independentsoft.office.drawing.extensions.PivotOptions16

All Implemented Interfaces:
  `IExtensionContent`

public class PivotOptions16 extends Object implements IExtensionContent
Represents the 2016 pivot-chart options extension (`c16:pivotOptions16`) that stores whether expand/collapse field buttons are shown (uri `{E28EC0CA-F0BB-4C9C-879D-F8772B89E7AC}`).

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static String`
  `NAMESPACE`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `PivotOptions16()`
  Instantiates a new pivot options 16.
  `PivotOptions16​(InternalXMLStreamReader reader)`
  Instantiates a new pivot options 16.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `IExtensionContent`
  `clone()`
  Clone.
  `String`
  `getShowExpandCollapseFieldButtons()`
  Gets whether expand/collapse field buttons are shown (`c16:showExpandCollapseFieldButtons` val).
  `void`
  `setShowExpandCollapseFieldButtons​(String showExpandCollapseFieldButtons)`
  Sets whether expand/collapse field buttons are shown (`c16:showExpandCollapseFieldButtons` val).
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### NAMESPACE

    public static final String NAMESPACE
    See Also:
      Constant Field Values

- ## Constructor Details

  - ### PivotOptions16

    public PivotOptions16()
    Instantiates a new pivot options 16.

  - ### PivotOptions16

    public PivotOptions16​(InternalXMLStreamReader reader) throws XMLStreamException
    Instantiates a new pivot options 16.
    Parameters:
      `reader` - the reader
    Throws:
      `XMLStreamException` - the XML stream exception

- ## Method Details

  - ### clone

    public IExtensionContent clone()
    Description copied from interface: `IExtensionContent`
    Clone.
    Specified by:
      `clone` in interface `IExtensionContent`
    Overrides:
      `clone` in class `Object`
    Returns:
      the extension content

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### getShowExpandCollapseFieldButtons

    public String getShowExpandCollapseFieldButtons()
    Gets whether expand/collapse field buttons are shown (`c16:showExpandCollapseFieldButtons` val). Null when the child element is absent.
    Returns:
      the show expand collapse field buttons

  - ### setShowExpandCollapseFieldButtons

    public void setShowExpandCollapseFieldButtons​(String showExpandCollapseFieldButtons)
    Sets whether expand/collapse field buttons are shown (`c16:showExpandCollapseFieldButtons` val). Null when the child element is absent.
    Parameters:
      `showExpandCollapseFieldButtons` - the new show expand collapse field buttons